# Reward User

#### 1. Fully Managed by MyChips

{% hint style="info" %}
Use this method only if you have selected Self-Managed Currency. If you already support S2S postback please skip this snippet.
{% endhint %}

#### 1.1 Check for new reward at app open and app resume

{% tabs %}
{% tab title="Typescript" %}

<pre class="language-typescript"><code class="lang-typescript">
React.useEffect(() => {
<strong>   //handler for App State Changed
</strong><strong>   const handleAppStateChange = (nextAppState: any) => {
</strong>       if (nextAppState === 'active') {
        
        
        const fetchReward = async () =>{
          return await MCOfferwallSDK.GetReward(ADUNITID)
        } 
        //check for new rewards
        fetchReward().then((reward)=>{
          if(reward){
            console.log(reward.getRewardInVirtualCurrency())
          }
         }).catch()

       }
     };
  
     //subscribe the appstate event change
     const subscription = AppState.addEventListener('change', handleAppStateChange);
    
     return () => {
         //umregister event
         subscription.remove();
     };
 });

</code></pre>

{% endtab %}
{% endtabs %}

#### 2. Server-to-Server (S2S) Postbacks

If you prefer server-to-server communication, MyChips can send a postback to your server with bonus information. The configuration for postbacks is available in your publisher dashboard. This method is useful for validating and securely rewarding users without client-side manipulation.&#x20;

If you are testing in Sandbox mode, the value of the macro {user\_payout} will be 0.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mychips.io/react-native/reward-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
